be.ehealth.businessconnector.therlink.mappers

## Class ResponseObjectMapper

- java.lang.Object
- - be.ehealth.businessconnector.therlink.mappers.ResponseObjectMapper

-     public class ResponseObjectMapper
      extends Object

  Mappe for Response objects Factory : `MapperFactory`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `generateJAXB(String request, Class<T> clazz)` It builds a Jaxb object given the string.
    `Acknowledge` | `mapAcknowledge(AcknowledgeType acknowledge)`
    `GetTherapeuticLinkResponse` | `mapJaxbToGetTherapeuticLinkResponse(GetTherapeuticLinkResponse jaxbResponse)`
    `HasTherapeuticLinkResponse` | `mapJaxbToHasTherapeuticLinkResponse(HasTherapeuticLinkResponse jaxbResponse)`
    `PutTherapeuticLinkResponse` | `mapJaxbToPutTherapeuticLinkResponse(PutTherapeuticLinkResponse jaxbResponse)`
    `RevokeTherapeuticLinkResponse` | `mapJaxbToRevokeTherapeuticLinkResponse(RevokeTherapeuticLinkResponse jaxbResponse)`
    `GetTherapeuticLinkResponse` | `mapXMLToGetTherapeuticLinkResponse(String xml)` Maps a XML string to a getTherapeuticLinkResponse object
    `HasTherapeuticLinkResponse` | `mapXMLToHasTherapeuticLinkResponse(String xml)` Maps a XML string to a hasTherapeuticLinkResponse object
    `PutTherapeuticLinkResponse` | `mapXMLToPutTherapeuticLinkResponse(String xml)` Maps a XML string to a PutTherapeuticLinkResponse object
    `RevokeTherapeuticLinkResponse` | `mapXMLToRevokeTherapeuticLinkResponse(String xml)` Maps a XML string to a RevokeTherapeuticLinkResponse object

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### mapXMLToPutTherapeuticLinkResponse

          public PutTherapeuticLinkResponse mapXMLToPutTherapeuticLinkResponse(String xml)
                                                                        throws TechnicalConnectorException

      Maps a XML string to a PutTherapeuticLinkResponse object
      Parameters:
        `xml` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### mapXMLToRevokeTherapeuticLinkResponse

          public RevokeTherapeuticLinkResponse mapXMLToRevokeTherapeuticLinkResponse(String xml)
                                                                              throws TechnicalConnectorException

      Maps a XML string to a RevokeTherapeuticLinkResponse object
      Parameters:
        `xml` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### mapXMLToGetTherapeuticLinkResponse

          public GetTherapeuticLinkResponse mapXMLToGetTherapeuticLinkResponse(String xml)
                                                                        throws TechnicalConnectorException

      Maps a XML string to a getTherapeuticLinkResponse object
      Parameters:
        `xml` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### mapXMLToHasTherapeuticLinkResponse

          public HasTherapeuticLinkResponse mapXMLToHasTherapeuticLinkResponse(String xml)
                                                                        throws TechnicalConnectorException

      Maps a XML string to a hasTherapeuticLinkResponse object
      Parameters:
        `xml` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### mapJaxbToPutTherapeuticLinkResponse

          public PutTherapeuticLinkResponse mapJaxbToPutTherapeuticLinkResponse(PutTherapeuticLinkResponse jaxbResponse)

      Parameters:
        `jaxbResponse` -
      Returns:

    - #### mapJaxbToGetTherapeuticLinkResponse

          public GetTherapeuticLinkResponse mapJaxbToGetTherapeuticLinkResponse(GetTherapeuticLinkResponse jaxbResponse)

      Parameters:
        `jaxbResponse` -
      Returns:

    - #### mapJaxbToRevokeTherapeuticLinkResponse

          public RevokeTherapeuticLinkResponse mapJaxbToRevokeTherapeuticLinkResponse(RevokeTherapeuticLinkResponse jaxbResponse)

      Parameters:
        `jaxbResponse` -
      Returns:

    - #### mapJaxbToHasTherapeuticLinkResponse

          public HasTherapeuticLinkResponse mapJaxbToHasTherapeuticLinkResponse(HasTherapeuticLinkResponse jaxbResponse)

    - #### mapAcknowledge

          public Acknowledge mapAcknowledge(AcknowledgeType acknowledge)

    - #### generateJAXB

          public <T> T generateJAXB(String request,
                                    Class<T> clazz)
                             throws TechnicalConnectorException

      It builds a Jaxb object given the string.
      Type Parameters:
        `T` -
      Parameters:
        `request` - the request as string.
        `clazz` - the class of the jaxb type.
      Returns:
        the generated jaxb object.
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.